org.apache.myfaces.trinidad.resource

## Class StringContentResourceLoader

- java.lang.Object
- - org.apache.myfaces.trinidad.resource.ResourceLoader
  - - org.apache.myfaces.trinidad.resource.DynamicResourceLoader
    - - org.apache.myfaces.trinidad.resource.StringContentResourceLoader

-     public abstract class StringContentResourceLoader
      extends DynamicResourceLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringContentResourceLoader(String path)`
    `StringContentResourceLoader(String path, ResourceLoader parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getContentType(String path)`
    `protected abstract String` | `getString(String path)`
    `protected URL` | `getURL(String path)` Returns a URL to this resource.

    - ### Methods inherited from class org.apache.myfaces.trinidad.resource.DynamicResourceLoader

      `findResource`

    - ### Methods inherited from class org.apache.myfaces.trinidad.resource.ResourceLoader

      `getContentType, getContentType, getNullResourceLoader, getParent, getResource, isCachable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringContentResourceLoader

          public StringContentResourceLoader(String path)

    - #### StringContentResourceLoader

          public StringContentResourceLoader(String path,
                                     ResourceLoader parent)

  - ### Method Detail

    - #### getContentType

          protected String getContentType(String path)

    - #### getString

          protected abstract String getString(String path)
                                       throws IOException

      Throws:
        `IOException`

    - #### getURL

          protected URL getURL(String path)
                        throws IOException

      Description copied from class: `DynamicResourceLoader`
      Returns a URL to this resource. This URL should have a valid connection.'
      Specified by:
        `getURL` in class `DynamicResourceLoader`
      Parameters:
        `path` - the path of the findResourceCall
      Returns:
        a url for this Resource
      Throws:
        `IOException` - when something bad happens

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.